using System;

class Program
{
    static void Main()
    {
        string[] vrednosti = Console.ReadLine().Split(' ');
        int n = int.Parse(vrednosti[0]);
        int l = int.Parse(vrednosti[1]);
        int[] niz = new int[n];
        
        string unosn = Console.ReadLine();
        string[] elementi = unosn.Split(' ');
        
        for (int i = 0; i < n; i++)
        {
            niz[i] = int.Parse(elementi[i]);
        }
        int prolazak = -1;

        for (int i = 0; i < n; i++)
        {
            if (niz[i] <= l)
            {
                prolazak = i + 1;
                break;
            }
        }
        Console.WriteLine(prolazak);
    }
}